I get a few error about "Test" directory in "Security" tab in piwik settings


#1

Hi Everyone;

Today im update piwik 1.1.1 manually. I do every steps in “Update Guide” then check my system and get some errors in “Security” tab.

I send some error details.

[28-Nov-2010 01:13:29] PHP Warning: require_once(PHPSECINFO_BASE_DIR/Test/Test_Suhosin.php) [function.require-once]: failed to open stream: No such file or directory in /home/transmed/public_html/plugins/SecurityInfo/PhpSecInfo/Test/Suhosin/patch.php on line 12 [28-Nov-2010 01:13:29] PHP Fatal error: require_once() [function.require]: Failed opening required ‘PHPSECINFO_BASE_DIR/Test/Test_Suhosin.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/transmed/public_html/plugins/SecurityInfo/PhpSecInfo/Test/Suhosin/patch.php on line 12 [28-Nov-2010 01:14:06] PHP Warning: require_once(PHPSECINFO_BASE_DIR/Test/Test_Suhosin.php) [function.require-once]: failed to open stream: No such file or directory in /home/transmed/public_html/plugins/SecurityInfo/PhpSecInfo/Test/Suhosin/extension.php on line 12 [28-Nov-2010 01:14:06] PHP Fatal error: require_once() [function.require]: Failed opening required ‘PHPSECINFO_BASE_DIR/Test/Test_Suhosin.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/transmed/public_html/plugins/SecurityInfo/PhpSecInfo/Test/Suhosin/extension.php on line 12 [28-Nov-2010 01:18:21] PHP Warning: require_once(PHPSECINFO_BASE_DIR/Test/Test_Curl.php) [function.require-once]: failed to open stream: No such file or directory in /home/transmed/public_html/plugins/SecurityInfo/PhpSecInfo/Test/Curl/file_support.php on line 12 [28-Nov-2010 01:18:21] PHP Fatal error: require_once() [function.require]: Failed opening required ‘PHPSECINFO_BASE_DIR/Test/Test_Curl.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/transmed/public_html/plugins/SecurityInfo/PhpSecInfo/Test/Curl/file_support.php on line 12 [28-Nov-2010 01:24:58]

Now, i dont know what can i do about this error.

Thanks. Cihan.


(vipsoft) #2

Are you sure about those error messages? (Those error messages are from November.)

What PHP version are you using?


#3

Im using version of php : 5.2.9
now i check again this error messages, yes it’s true talking about November??

Cihan.


(vipsoft) #4

Piwik doesn’t have the ability to change the system date/time. So you should check that.

The SecurityInfo plugin loads PhpSecInfo.php where PHPSECINFO_BASE_DIR is define()'d. I can’t explain the failure. I’ll compile php 5.2.9 tonight to test.